libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
osmo_cbsp_decoded Struct Reference

`#include <cbsp.h>`

## Data Fields
enum cbsp_msg_type | msg_type
union {
struct osmo_cbsp_write_replace write_replace
struct osmo_cbsp_write_replace_complete write_replace_compl
struct osmo_cbsp_write_replace_failure write_replace_fail
struct osmo_cbsp_kill kill
struct osmo_cbsp_kill_complete kill_compl
struct osmo_cbsp_kill_failure kill_fail
struct osmo_cbsp_load_query load_query
struct osmo_cbsp_load_query_complete load_query_compl
struct osmo_cbsp_load_query_failure load_query_fail
struct osmo_cbsp_msg_status_query msg_status_query
struct osmo_cbsp_msg_status_query_complete msg_status_query_compl
struct osmo_cbsp_msg_status_query_failure msg_status_query_fail
struct osmo_cbsp_reset reset
struct osmo_cbsp_reset_complete reset_compl
struct osmo_cbsp_reset_failure reset_fail
struct osmo_cbsp_restart restart
struct osmo_cbsp_failure failure
struct osmo_cbsp_error_ind error_ind
struct osmo_cbsp_keep_alive keep_alive
struct osmo_cbsp_keep_alive_complete keep_alive_compl
} | u

## Field Documentation

## ◆ error_ind

struct osmo_cbsp_error_ind osmo_cbsp_decoded::error_ind

Referenced by osmo_cbsp_decode(), and osmo_cbsp_encode().

## ◆ failure

struct osmo_cbsp_failure osmo_cbsp_decoded::failure

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ keep_alive

struct osmo_cbsp_keep_alive osmo_cbsp_decoded::keep_alive

Referenced by osmo_cbsp_decode(), and osmo_cbsp_encode().

## ◆ keep_alive_compl

struct osmo_cbsp_keep_alive_complete osmo_cbsp_decoded::keep_alive_compl

Referenced by osmo_cbsp_decode(), and osmo_cbsp_encode().

## ◆ kill

struct osmo_cbsp_kill osmo_cbsp_decoded::kill

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ kill_compl

struct osmo_cbsp_kill_complete osmo_cbsp_decoded::kill_compl

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ kill_fail

struct osmo_cbsp_kill_failure osmo_cbsp_decoded::kill_fail

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ load_query

struct osmo_cbsp_load_query osmo_cbsp_decoded::load_query

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ load_query_compl

struct osmo_cbsp_load_query_complete osmo_cbsp_decoded::load_query_compl

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ load_query_fail

struct osmo_cbsp_load_query_failure osmo_cbsp_decoded::load_query_fail

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ msg_status_query

struct osmo_cbsp_msg_status_query osmo_cbsp_decoded::msg_status_query

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ msg_status_query_compl

struct osmo_cbsp_msg_status_query_complete osmo_cbsp_decoded::msg_status_query_compl

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ msg_status_query_fail

struct osmo_cbsp_msg_status_query_failure osmo_cbsp_decoded::msg_status_query_fail

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ msg_type

enum cbsp_msg_type osmo_cbsp_decoded::msg_type

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ reset

struct osmo_cbsp_reset osmo_cbsp_decoded::reset

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ reset_compl

struct osmo_cbsp_reset_complete osmo_cbsp_decoded::reset_compl

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ reset_fail

struct osmo_cbsp_reset_failure osmo_cbsp_decoded::reset_fail

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ restart

struct osmo_cbsp_restart osmo_cbsp_decoded::restart

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆

union { ... } osmo_cbsp_decoded::u

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ write_replace

struct osmo_cbsp_write_replace osmo_cbsp_decoded::write_replace

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ write_replace_compl

struct osmo_cbsp_write_replace_complete osmo_cbsp_decoded::write_replace_compl

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

## ◆ write_replace_fail

struct osmo_cbsp_write_replace_failure osmo_cbsp_decoded::write_replace_fail

Referenced by osmo_cbsp_decode(), osmo_cbsp_encode(), and osmo_cbsp_init_struct().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/cbsp.h